# windows 无网络部署

## 编译服务

> 假设安装目录为D盘根路径，D:/pack-oilseal-train

1. 拉取bus，替换bus-local-app.yaml中的内容到app.yaml
2. windows下编译bus，服务名为bus-service
3. 配置数据库迁移脚本到环境变量路径
4. 编译当前项目,服务名为train-service
5. 安装mongo
6. 启动对应服务

## 安装mongodb

> 查看端口被哪个进程占用 netstat -ano |findstr "端口号" 杀死进程 taskkill /f /t /im "进程id或者进程名称"

1. pack-oliseal-train文件夹中安装,安装路径自定义为`D:/pack-oilseal-train/mongo`
2. 将mongo mongosh bin目录配置环境变量 `D:\pack-oilseal-train\mongo\MongoDB\Server\6.0\bin`,`D:\pack-oilseal-train\mongo\mongosh-1.6.1-win32-x64\bin`
3. 命令行执行mongod
4. 启动服务 net start MongoDB
5. 执行mongosh
6. use admin
7. db.createUser({user:"admin",pwd:"admin123",roles:[{"role":"userAdminAnyDatabase","db":"admin"}]})
8. db.auth("admin","admin123")
9. db.createUser({user:"root",pwd:"oilseal-train",roles:["dbOwner"]})
10. 数据库迁移环境变量配置`MONGO_MIGRATION`:`D:/pack-oilseal-train/backend/migrations==mongodb://root:oilseal-train@127.0.0.1:27017/oilseal-train?authSource=admin`
11. nginx配置

    ```shell
    server {
        listen       8082;
        server_name  127.0.0.1;

        location / {
            root  D:/pack-oilseal-train/frontend/dist;
            index  index.html index.htm;
        }
        location ^~/oilseal-train/ {
            proxy_pass http://127.0.0.1:7105/;
        }
    }
    ```

12. 启动服务，双击start.bat
13. 后台管理系统访问，http://127.0.0.1:8082
